@import url("showHideDiv.css");

#pagecontainer {
	margin-bottom: -55px;
}

#content {
	width: 100%;
	float:left;
	font-size: 1.2rem;
}

div.fform.form {
	padding: 10px;
	margin-left: auto;
	margin-right: auto;
}

fieldset.form {
	margin-bottom: 10px;
	border: none;
}

legend.form {
	padding: 0 2px;
	font-weight: bold;
}

li.form label {
	margin-left:0;
	display: inline-block;
	line-height: 1.8;
	vertical-align: top;
	width: auto;
}

fieldset.form ol.form {
	margin: 0;
	padding: 0;
}

fieldset.form li.form {
	list-style: none;
	padding: 5px;
	margin: 0 0 2rem 0;
}

fieldset.form li.form:not(:first-child) {
	margin-bottom:0;
	border-bottom: none;
}

fieldset.form li.form:not(:last-child) {
	border-bottom: 1px solid #aaaaaa;
}

fieldset.form fieldset.form {
	border: none;
	margin: 0px;
}

fieldset.form fieldset.form legend.form {
	padding: 0px;
	font-weight: normal;
}

fieldset.form fieldset.form label.form {
	display: block;
	width: auto;
	margin-left: 123px; /* Width plus 3 (html space) */
}

fieldset.form fieldset.form li.form {
	border-bottom: 0px solid #aaaaaa;
	display: inline;
}

em.form {
	font-weight: bold;
	font-style: normal;
	color: #f00;
}

input.input_text {
	float: right;
	display: inline-block;
	text-align: right;
	width: 45%;
}

form[name="exportStep3Form"]>fieldset.form li.form {
	border: none;
}

input.form.repotitle {
    text-align: initial;
    width: calc(100% - 1em);
    padding: 0.5em;
}

textarea.form.repodescr {
	width: calc(100% - 1em);
	padding: 0.5em;
	height: 13em;
}

textarea.form {
	display: block;
	width: 100%;
	height: 100px;
}

select.form {
	display: block;
	float: right;
}

.error.form {
	color: #ff0000;
}

p.form {
	text-align: center;
}

li.form.hidden {
	display: none;
}

div.fform {
	width: 95%;
}
/*
* class to show general message for errors
*/
div.hide_error {
	display: none;
}

div.show_error {
	display: block;
	color: #ff0000;
}

#error_form.form {
	text-align: center;
}

.clear.form {
	clear: both;
}

.hidden {
	display: none;
}

#importUrlFSet,
#importUrlFSet ol>li { padding:0; }
#l_importUrlFSet,
#importUrlFSet ol>li { margin-bottom: 1rem; display: block; }
#importUrlFSet ol>li:last-child { /*text-align: right;*/ }
#importUrlBtn { padding: 0.4rem; }
#importUrlFSet label.form { display: inline-block; margin-left: 0; }
#importUrlFSet input.form { float: none; margin-top: 1px; margin-left: 1rem; width: 80%; text-align: left; }
#importUrlStatus { float: right; font-style: italic; color: rgba(0,0,0,0.4); }
a.btn-pekeupload.disabled { opacity: 0.6; }
/*
* hide submit on form that uploads import file
*/
form[name=importStep1Form] input[type=submit] {
	display: none;
}

.first .exportFormStep2,.divImportSN {
	text-align: left;
	width: 95%;
	margin: 0 auto;
}

.first .exportFormStep2 .step2buttons {
	margin-top: 2em;
}
/* aggiunte enrico */
#importUrlBtn {
	background-color: #2ad69e !important;
    background-image: none !important;
    padding: 12px 8px 8px 8px;
    text-transform: uppercase;
    font-weight: 700;
    border: 1px solid lightgray;
    border-radius: 6px;
    margin: 6px 6px 12px 6px;
    color: #fff !important;
}
.importFormStep1 label {
	font-weight: 700;
}